コンテンツにスキップ
Taylorz CRM Developers
Esc
↑↓移動↵開く⌘Jプレビュー

List price books

GET/api/v1/price-books
認証
AuthorizationOAuth2 アクセストークン · header必須

Authorization-code grant with PKCE. Clients are public and hold no secret. Discovery is published at /.well-known/oauth-authorization-server/api/auth.

スコープ:api.access
クエリパラメーター
afterstring
最小長 1 · 最大長 255
limitinteger
最小 1 · 最大 100 · デフォルト: 50
レスポンス
200

A page of price books

itemsPriceBook[]必須
プロパティを表示
PriceBook の配列
createdAtstring<date-time>必須
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ に一致
currencystring必須
^[A-Z]{3}$ に一致
idstring必須
最小長 1 · 最大長 255
namestring必須
organizationIdstring必須
最小長 1 · 最大長 255
revisioninteger必須
最小 1 · 最大 2147483647
nextCursorstring | null必須
400

The request body, query or parameters were refused

codestring必須
許可される値:invalid_inputnot_foundconflictforbidden
detailany
errorstring必須
reasonstring
401

The access token is missing, invalid or revoked

errorstring必須
403

The tenant's module is off, or the token's scope or the member's role does not permit the action

codestring必須
許可される値:invalid_inputnot_foundconflictforbidden
detailany
errorstring必須
reasonstring
404

No such record, or none the caller may read

codestring必須
許可される値:invalid_inputnot_foundconflictforbidden
detailany
errorstring必須
reasonstring
413

The request exceeds the route's body limit

errorstring必須
500

An unexpected failure

errorstring必須
リクエスト
curl -X GET '/api/v1/api/v1/price-books' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Accept: application/json'
レスポンス
{
  "items": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "currency": "string",
      "id": "string",
      "name": "string",
      "organizationId": "string",
      "revision": 1
    }
  ],
  "nextCursor": "string"
}

このページは役に立ちましたか?